Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007185Dwarf FortressDwarf Mode -- Tradepublic2014-07-12 22:022016-03-31 22:10
ReporterRafal99 
Assigned ToFootkerchief 
PrioritynormalSeveritymajorReproducibilityrandom
StatusconfirmedResolutionopen 
PlatformOSOS Version
Product Version0.40.02 
Target VersionFixed in Version 
Summary0007185: Horrified merchants immediately destroy their wagons, pack their goods and leave the depot
DescriptionWhen I killed a Raven Man near the corner of the map some of my dwarves became horrified and also some of the dwarven merchants at my depot got horrified too.
The effect seems applied even across a very long range, in my case it was 100+ tiles from the place of death to the depot.
After seeing horrified merchants I noticed my Depot is flashing with items as when the merchants are unpacking or packing. Looking at depot with (q) the message shows "There are no merchants trading right now", while just a moment earlier I could trade with them. Looking at the depot I also noticed merchant's wagons disappeared, and now at the depot there are items of "wagon wood logs". After a while the merchants packed up and started leaving the map.

I quit the game, loaded earlier save and tried again. The moment I killed a Raven Woman the traders got horrified, wagons destroyed and they started packing again.

Some notes:
There was no message about traders leaving in either case.
I am 100% sure traders and their wagons weren't attacked or otherwise harrased during the time, there was also nothing about traders in the reports.
 

So the problems here are:
- Creatures become horrified from events far across the map (in my case the distance was half of my 5x5 embark)
- Merchants destroy their wagons where becoming horrified
- Another possiblity is that wagons theselves become horrified and explode
Additional InformationSaves:
http://dffd.wimbli.com/file.php?id=8964 [^]
http://dffd.wimbli.com/file.php?id=9367 [^]
http://dffd.wimbli.com/file.php?id=9471 [^]
http://dffd.bay12games.com/file.php?id=11467 [^]
TagsNo tags attached.
Attached Files

- Relationships
related to 0007133resolvedlethosor Caravan disappeared 
related to 0007161confirmedDwarfu Morale is screwy across all modes 
has duplicate 0006651resolvedFootkerchief Merchant Wagons Collapsing 
has duplicate 0007414resolvedFootkerchief Traders not going to trade depot after getting horrified 
has duplicate 0007741resolvedFootkerchief Caravan stays for only a day, possibly scared by cavern creatures far below 
has duplicate 0007807resolvedFootkerchief Human caravans arrive, dump goods, then immediately leave 
has duplicate 0007952resolvedKnight Otu Merchants disposses trade items when scared 
has duplicate 0008249resolvedFootkerchief Wagon death 
has duplicate 0008659resolvedFootkerchief Uncaging animals at depot causes wagons to deconstruct. 
has duplicate 0009332resolvedDwarfu Wagon scuttling and trader being overcome with horror. 
has duplicate 0008818resolvedDwarfu Caravans leaving without unloading goods. 
has duplicate 0010256resolvedLoci Human Traders cannot be interacted with 
has duplicate 0009958resolvedLoci Dwarven trade caravan reaches fortress entrance, leaves before unloading at depot 
related to 0007595confirmedFootkerchief Merchants petrified with fear by were-creatures 
related to 0007435confirmedFootkerchief Dwarves overwhelmed by horror at the sight of the refuse stockpile 
related to 0009594confirmedDwarfu Merchants die/get frightened/flee, dump trade goods, but still own them (shows on stocks screen, can't interact with) 

-  Notes
(0026083)
Rafal99 (reporter)
2014-07-12 22:14
edited on: 2014-07-12 22:14

I will try to make save where it is easily reproducable, because at my current one it is very hard to kill the Raven Men, as they keep escaping from my only marksdwarf.

(0026320)
JoeJoe (reporter)
2014-07-14 07:31
edited on: 2014-07-14 07:40

http://dffd.wimbli.com/file.php?id=8964 [^]
here's a save, where the merchants just left without a warning. two wagons are "missing" and all trade goods have disappeared. unfortunately I didn't think of doing a backup of the autosave at the beginning of autumn.

As you can see they arrived without an outpost liaison, but I'm not sure if there were any other dwarf merchants. it could be that they've already left the map. and maybe they were also carrying the items or something.

edit: i should have mentioned, I don't think this was triggered by the merchants being horrified but it's probably related.

(0026964)
Bouchart (reporter)
2014-07-19 12:49
edited on: 2014-07-19 12:53

I've had this problem in 4003, but there were no wild creatures near the trade depot as far as I could tell.

This might have to do with traders bringing too many wagons, since it never happens early in any of my forts' existence.

I should also add that all of the wagons deconstruct on the same tile.

(0027499)
Button (reporter)
2014-07-25 08:01

I had this problem with a corpse stockpile underneath the entry-rampway. When the wagon moved up the ramp, the dwarf driving it went through the wall, saw the corpses, wagon destruct.
(0027513)
int_ua (reporter)
2014-07-25 10:53

That's a wagon wood source BTW.
(0027516)
Talvieno (reporter)
2014-07-25 11:35

This doesn't always happen. I had elves killed the first year, and their corpses remained at the depot. The next year, one of the elven traders happened to look at the skeletons of the elves. She fell to her knees, saying the regular stuff, but I was still able to trade with the elves.
(0027674)
Deboche (reporter)
2014-07-26 22:50

I didn't get wagon destruction but I just had a case of merchants leaving from getting horrified with my refuse pile
(0027990)
Drazinononda (reporter)
2014-07-30 16:42

"wagons themselves become horrified and explode"

I love this game!

But yes, I had the same thing happen, except the fighting took place while the merchants were on their way in to the depot, and all the wagons deconstructed. The merchants and pack animals continued on to the depot. I got all the messages as usual -- "the merchants will be leaving soon," "the merchants have departed" -- but after they supposedly "departed" they didn't pack up or make any other moves. In fact, the pack animals were out wandering around in my pasture and the merchants wouldn't even mill about the depot, they just stood there. Eventually I deconstructed the depot to get them to leave, and they all wandered off the map individually.
(0028924)
Rafal99 (reporter)
2014-08-12 23:02

Gigaz posted this save in 0007975:
http://dffd.wimbli.com/file.php?id=9367 [^]
(0029399)
Littlegeek (reporter)
2014-08-20 21:12

This save has the aftermath of a wagon dying and the merchants leaving; a partial mutilated goblin corpse is near the path the wagons would take. I tend to favor the "wagons themselves become horrified and explode" explanation as there was a combat report with a merchant falling down the slope next to where the wagon died, and it had no speech.
http://dffd.wimbli.com/file.php?id=9471 [^]
(0029551)
Aiwok (reporter)
2014-08-23 17:11
edited on: 2014-08-23 17:14

I recently had a wereelk coming around but caravan guard + militia killed it quick and without any successful counteratack. Still all 5 wagons in the depot died. Also I found two two piles of merchant stuff flying around near my refuse/corpse stockpile. These must have been dropped even before the wereelk came. If i didnt had 7 wagons coming those might been dropped by some scared merchants without wagon? Also I got wagon wood logs from the dead wagons but those seem to disappear or be renamed - maybe once my dwarves stockpile them.
I still have a save with the wereelk just appaering (5 wagons still alive in depot) If its helpful I coud try to upload somewhere?

(0029837)
Jack9 (reporter)
2014-08-31 14:28

Dwarf body deep in river outside walls of my fortress. Merchants passing over bridge become horrified, deconstructs most wagons (each at different locations), walks off map. Final wagon deconstructed on their way out before they reached edge).
(0032572)
Mechanique (reporter)
2015-04-15 03:45

Had the same happen twice, to both human and dwarf caravans.
Wagon traveled through (sparsely filled with remains of local wildlife) refuse stockpile and deconstructed in the middle of it, all other merchants left the map immediately.
Easy to reproduce - have wagons travel through area filled with body parts.
(0032588)
MrC (reporter)
2015-04-19 13:58

I have this problem but the merchants get stuck when their wagons die so they just hang out wherever they were when the wagons die and never leave the map.
(0032590)
Detros (manager)
2015-04-19 14:03

@Mrc: If your merchants are not leaving, it is rather something like 0005452, "One merchant killed, surviving merchants are stuck forever" or 0007964, "traders do not leave map" than this one.
(0032638)
MrC (reporter)
2015-05-04 15:27

@Detros: My be but no merchants are killed just the wagons.
(0032713)
Qrox (reporter)
2015-05-23 07:41

Freakish weather (in my case, raining blood) will also cause merchants to abandon their wagons. Even if only the draught animals got horrified the wagon will still get scuttled. I wonder how the animals shook off the yokes.
(0034469)
Button (reporter)
2016-01-19 08:37

This seems particularly quick to happen since 42.03 or so. It used to be that wagons would only scuttle if I let them near sapient corpses, but lately they'll break up just from seeing wild animals that aren't [BENIGN].
(0034499)
KingMurdoc (reporter)
2016-01-21 13:37

Can confirm it was still present in 42.04 at least. I didn't get a single dwarven caravan reaching my depot; they'd pretty much detonate upon entering the map.
(0034947)
Killzemallgod (reporter)
2016-03-31 22:10
edited on: 2016-04-01 02:33

Happened to me and caused them to stop showing up, wagon went missing and seems to have stopped mechants from showing up.


- Issue History
Date Modified Username Field Change
2014-07-12 22:02 Rafal99 New Issue
2014-07-12 22:03 Rafal99 Issue Monitored: Rafal99
2014-07-12 22:14 Rafal99 Note Added: 0026083
2014-07-12 22:14 Rafal99 Note Edited: 0026083 View Revisions
2014-07-12 22:14 Rafal99 Note Edited: 0026083 View Revisions
2014-07-13 23:12 Footkerchief Relationship added has duplicate 0006651
2014-07-14 07:31 JoeJoe Note Added: 0026320
2014-07-14 07:40 JoeJoe Note Edited: 0026320 View Revisions
2014-07-14 08:55 Footkerchief Relationship added related to 0007133
2014-07-17 07:35 Footkerchief Relationship added has duplicate 0007414
2014-07-19 12:49 Bouchart Note Added: 0026964
2014-07-19 12:53 Bouchart Note Edited: 0026964 View Revisions
2014-07-23 18:26 Footkerchief Relationship added related to 0007595
2014-07-25 08:01 Button Note Added: 0027499
2014-07-25 10:32 int_ua Issue Monitored: int_ua
2014-07-25 10:53 int_ua Note Added: 0027513
2014-07-25 11:35 Talvieno Note Added: 0027516
2014-07-26 22:50 Deboche Note Added: 0027674
2014-07-30 16:42 Drazinononda Note Added: 0027990
2014-08-06 07:44 Kanddak Note Added: 0028446
2014-08-06 07:46 Kanddak Note Deleted: 0028446
2014-08-06 07:55 Footkerchief Relationship added has duplicate 0007741
2014-08-06 07:56 Footkerchief Relationship added related to 0007807
2014-08-06 08:48 Footkerchief Relationship replaced has duplicate 0007807
2014-08-06 08:48 Footkerchief Issue Monitored: dglidden
2014-08-06 08:49 Footkerchief Relationship added related to 0007435
2014-08-06 13:23 Dwarfu Relationship added related to 0007161
2014-08-11 08:37 Knight Otu Relationship added has duplicate 0007952
2014-08-12 23:02 Rafal99 Note Added: 0028924
2014-08-20 21:12 Littlegeek Note Added: 0029399
2014-08-23 17:11 Aiwok Note Added: 0029551
2014-08-23 17:14 Aiwok Note Edited: 0029551 View Revisions
2014-08-24 07:21 Footkerchief Assigned To => Footkerchief
2014-08-24 07:21 Footkerchief Status new => confirmed
2014-08-31 14:28 Jack9 Note Added: 0029837
2014-09-05 08:19 4maskwolf Issue Monitored: 4maskwolf
2014-09-06 09:37 Footkerchief Relationship added related to 0008249
2014-09-08 19:07 Footkerchief Relationship replaced has duplicate 0008249
2014-12-23 18:43 Footkerchief Relationship added has duplicate 0008659
2015-04-15 03:45 Mechanique Note Added: 0032572
2015-04-19 13:58 MrC Note Added: 0032588
2015-04-19 14:03 Detros Note Added: 0032590
2015-04-19 14:25 Afghani84 Issue Monitored: Afghani84
2015-05-04 15:27 MrC Note Added: 0032638
2015-05-23 07:41 Qrox Note Added: 0032713
2016-01-19 08:37 Button Note Added: 0034469
2016-01-19 20:17 Dwarfu Additional Information Updated View Revisions
2016-01-19 20:18 Dwarfu Relationship added has duplicate 0009332
2016-01-19 20:18 Dwarfu Issue Monitored: Sinakus
2016-01-21 13:37 KingMurdoc Note Added: 0034499
2016-03-31 22:10 Killzemallgod Note Added: 0034947
2016-04-01 02:33 Killzemallgod Note Edited: 0034947 View Revisions
2016-05-16 16:31 Dwarfu Relationship added has duplicate 0008818
2016-05-16 16:54 Dwarfu Relationship added related to 0009594
2016-05-20 06:52 Hedede Issue Monitored: Hedede
2017-06-25 15:59 Loci Relationship added has duplicate 0010256
2017-06-25 16:21 Loci Relationship added has duplicate 0009958


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker